DEVCTL_PROCESS_RUNNING(9)

NAME
devctl_process_running - Returns true when devctl has a consumer process running

SYNOPSIS
#include <sys/devctl.h>
bool
devctl_process_running(void);

DESCRIPTION
The devctl_process_running call returns true when a process has the devctl device open for reading, and false otherwise. One can assume from this that the default devd(8) or similar is running when true is returned. Some subsystems will send a message and allow userland to do something before proceeding with a default action if there's a timeout. This call allows those subsystems to do the default action right away when no process is running.

SEE ALSO
devd(8)

AUTHORS
This manual page was written by M. Warner Losh